/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';
.download-link {
  white-space: nowrap;
  .anticon:first-of-type {
    margin-right: 13px;
  }
  .anticon:last-of-type {
    margin-left: 13px;
  }
}
.table-component {
  .ant-table {
    background: none;
    .ant-table-content {
      .ant-table-thead {
        border-bottom: 5px solid transparent;
        th,
        td {
          // background-color: @platform-blue4;
          background: @platform-blue5;
          border: solid @platform-blue3;
          border-width: 1px 0 4px;
          font-weight: 500;
          @media screen and (max-width: 783px) {
            left: unset !important;
            position: relative !important;
          }
          .sr-only {
            position: absolute;
            width: 1px;
            height: 1px;
            padding: 0;
            margin: -1px;
            overflow: hidden;
            clip: rect(0, 0, 0, 0);
            border: 0;
          }
        }
      }
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background-color: @platform-blue5;
      }
      td {
        max-width: 600px;
        span {
          white-space: nowrap;
        }
        a {
          font-weight: 500 !important;
        }
        @media screen and (max-width: 783px) {
          left: unset !important;
          position: relative !important;
        }
      }

      table {
        background: none;
        border-collapse: collapse !important;
        td.ant-table-cell {
          background: #fff;
        }
        .ant-table-row-level-0 {
          td {
            background: #fff;
            border: solid transparent;
            border-width: 0 0 4px;
          }
          & > td:first-child {
            border-radius: 7px 0 0 7px;
          }
          & > td:last-child {
            border-radius: 0 7px 7px 0;
          }
          &.expanded-parent {
            box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
            border-radius: 7px 7px 0 0;
            & > td:first-child {
              border-radius: 7px 0 0 0;
            }
            & > td:last-child {
              border-radius: 0 7px 0 0;
            }
            td {
              background: @platform-blue5;
              border-bottom-width: 0;
            }
          }
        }
        .expanded-row {
          box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.5);
        }
        .expanded-row:has(+ .ant-table-row-level-0) {
          border-radius: 0 0 7px 7px;
          & > td:first-child {
            border-radius: 0 0 0 7px;
          }
          & > td:last-child {
            border-radius: 0 0 7px 0;
          }
          td {
            border: solid transparent;
            border-width: 0 0 4px;
          }
        }
      }
    }
  }

  .filter-row {
    margin: 0;
    padding: 16px;
    border-radius: 7px 7px 0 0;
    background: #fff;
    .ant-col {
      display: flex;
      flex-flow: row wrap;
      &.filter-row-spacer {
        flex-grow: 1;
      }
      &.filter-row-right {
        margin-right: 0;
        margin-left: auto;
      }
      .expand-all-rows-btn {
        align-self: flex-end;
        margin-right: 19px;
      }
      .row-count-wrapper {
        display: flex;
        .table-row-count {
          align-self: flex-end;
          margin-left: 32px;
          margin-right: 0;
          line-height: 32px;
          font-weight: 500;
          font-size: 1.6rem;
        }
        &.table-row-count-with-sorter {
          margin-left: auto;
        }
      }
      .filter-dropdown-link {
        margin-left: 19px;
        font-size: @platform-main-font-size;
      }
    }
  }

  .ant-table-row-indent + .ant-table-row-expand-icon {
    margin-top: 3px;
  }
  .ant-table-expanded-row {
    display: contents;
    td {
      &:empty {
        display: none;
      }
    }
    label {
      font-weight: bold;
      display: block;
    }
  }

  .expandable-row-mailtext {
    white-space: pre-line !important;
  }
  .table-menu {
    li {
      font-size: 1.6rem;
    }
  }

  .table-menu-button {
    margin-left: 26px;
    span {
      font-size: 2.6rem;
    }
  }
  .actions-holder {
    white-space: nowrap;
    display: flex;
    flex-flow: row nowrap;
  }
}
